<?php
// Funktion zum Auslesen von SVG- und JS-Dateien aus einem Verzeichnis
function getFilesFromDirectory($directory, $extension)
{
    $files = array();

    if (!is_dir($directory)) {
        die('Das Verzeichnis "' . $directory . '" existiert nicht.');
    }

    $handle = opendir($directory);
    if (!$handle) {
        die('Das Verzeichnis "' . $directory . '" konnte nicht geöffnet werden.');
    }

    while (($file = readdir($handle)) !== false) {
        if (pathinfo($file, PATHINFO_EXTENSION) === $extension) {
            $files[] = $directory . DIRECTORY_SEPARATOR . $file;
        }
    }

    closedir($handle);

    if (empty($files)) {
        die('Es wurden keine ' . strtoupper($extension) . '-Dateien im Verzeichnis "' . $directory . '" gefunden.');
    }

    return $files;
}

$tmpDir = 'tmp';

$svgFiles = getFilesFromDirectory($tmpDir, 'svg');
$jsFiles = getFilesFromDirectory($tmpDir, 'js');

$jsObject = 'var scenes = {';

for ($i = 0; $i < count($svgFiles); $i += 2) {
    $mobileSVG = file_get_contents($svgFiles[$i]);
    $desktopSVG = file_get_contents($svgFiles[$i + 1]);

    $jsObject .= '"szene_' . (($i / 2) + 1) . '": {';
    $jsObject .= '"layout_mob": `' . addslashes($mobileSVG) . '`,';
    $jsObject .= '"layout_dt": `' . addslashes($desktopSVG) . '`';
    $jsObject .= '},';
}

$jsObject = rtrim($jsObject, ',');
$jsObject .= '};';

// Add the contents of the JS files to the end of the JavaScript object
foreach ($jsFiles as $jsFile) {
    $jsContent = file_get_contents($jsFile);
    $jsObject .= "\n" . $jsContent;
}

$outputFile = 'finalOutput.js';

if (file_put_contents($outputFile, $jsObject)) {
    echo 'Die JS-Datei wurde erfolgreich erstellt.';
} else {
    echo 'Fehler beim Schreiben der JS-Datei.';
}
?>
